/*
 * Program to generate contour data in ascii or binary format
 */

#include <stdio.h>

#define ON      1
#define OFF     0
#define OUTFILE "outfile"

main(argc,argv)
int argc;
char **argv;
{
   FILE *fp;
   char filename[100];
   int  i, binary = OFF, FILEFOUND = OFF;

   /* Parse the line first */
   for (i=1; i<argc; i++) {
      if (strncmp(argv[i],"-b",2) == 0) {           /* binary data */
         binary = ON;
         continue;
         }
      if (strncmp(argv[i],"-a",2) == 0) {           /* ascii data */
         binary = OFF;
         continue;
         }
      if (strcmp(argv[i],"-o") == 0) {              /* output file */
         if (++i >= argc) {
            fprintf(stderr,"%s [-a] [-b] [-o file]\n",argv[0]);
            exit(-1);
         }
         strcpy(filename,argv[i]);
         FILEFOUND = ON;
      }
   }


   if (!FILEFOUND) strcpy(filename,OUTFILE);

   /* Write to file */
   if ((fp=fopen(filename,"w")) == NULL) {
      fprintf(stderr,"Couldn't write to file %s\n",filename);
      exit(-1);
   }

   gen_data(fp,binary);

   /* Close the file */
   fclose(fp);
}

gen_data(fp,binary)
FILE *fp;
int  binary;
{
   static double header[6] = {0.0, 2.0, 0.0, 1.0, 5.0, 3.0};
   static double data [15] = {1.0, 1.0, 2.0, 1.0, 1.0,
                              1.0, 2.0, 1.0, 2.0, 1.0,
                              2.0, 2.0, 2.0, 1.0, 1.0};
   int      n;

   if (!binary) {
      /* Print out in ascii */
      fprintf(fp,"%g %g %g %g\n",header[0],header[1],header[2],header[3]);
      fprintf(fp,"%g %g\n",      header[4],header[5]);
      for (n=0; n<15; n++)
         fprintf(fp,"%g\n",data[n]);
   } else {
      /* Print out in binary */
      if ((n = fwrite((char *)header,sizeof(double),6,fp)) != 6) {
         fprintf(stderr,"Write error!\n");
         exit(1);
      }
      /* write data to the file */
      if ((n = fwrite((char *)data,sizeof(double),15,fp)) != 15) {
         fprintf(stderr,"Write error!\n");
         exit(1);
      }
   }
}
