/*
 * header.h - misc global variables
 */

/****************************************************************/
/*************** User-configurable stuff is here ****************/
/****************************************************************/

#ifdef SYSV
#define PRINT   "lpr"
#else
#define PRINT   "lpr -h"
#endif

/* if no pdraw set this    | to 0 (define PDRAW_IS_AVAILABLE 0) */
/*                         V                                    */
#define PDRAW_IS_AVAILABLE 0
#define PDRAW "/tcad5/users/ktoh/bin/SPARC/pdraw"

/****************************************************************/
/*************** End of User-configurable stuff *****************/
/****************************************************************/

#include "plot2D.h"

#define ON      1
#define OFF     0
#define TRUE    1
#define FALSE   0

#define MAXCHAR 1000            /* Maximum no of chars in a line  */
#define MAXPTS  1000            /* Maximum no of points in an array */

#define PSFILE "dataplot.ps"    /* postscript file       */
#define CTFILE "image.cont"     /* single contour file   */
#define TDFILE "image.cont.3D"  /* 3D data-file          */

/*
 * Linked list for contour storage 
 */
CNplotsetptr cont_plothead;
CNplotsetptr cont_plottail;
int          plotID;

/* boundaries */
double xmin, ymin, xmax, ymax, zmin, zmax;

/* 
 * Contour-specific options
 */

/* output data of single contour */
int    print_slice;
double cont_level;

/* expand the data into a surface mesh, SAMPLE-style output */
int    expand_mesh, expand_cont;

/* No of contour lntypes*/
int    linetypes;

/* Contour labeling     */
int    contlabel;

/* Joining of curves    */
int    joinlevel;

/* contour step size */
double cstep;
int    nsteps;

/* 
 * X11 options 
 */
char     *font_name;             /* font for text/labels */
char     *geometry;              /* window geometry      */
char     *display_name;          /* display name         */
char     *border_color;          /* Border color         */
char     *fore_color;            /* Foreground color     */
char     *back_color;            /* Background color     */
char     *mouse_color;           /* Mouse color          */
char     *icon_color;            /* Icon color           */
int      border_width;           /* window border_width  */
int      reverse;                /* reverse flag         */

/*
 * plotting options 
 */
char *term;                      /* terminal type */
char *progname;                  /* program name  */
char xlabel[MAXCHAR];            /* x-label       */
char ylabel[MAXCHAR];            /* y-label       */
char toplabel[MAXCHAR];          /* top label     */
char printer[MAXCHAR];           /* printer type  */

int    grid, equalscale, landscape, clip;    /* General plot options */
int    postscript, printplot, noplot;        /* Print options        */
int    xticks, yticks, xlog, ylog, zlog;     /* Plot type            */
int    xautorange, yautorange, autorange;    /* Range on axes        */
double scale;                                /* Plot scale           */
double xyratio;                              /* Ratio of y:x axes    */
