/*
 * readdata.c - utility routines to read data from a file 
 */

#include <stdio.h>
#include <math.h>
#include <strings.h>
#include "plot2D.h"

/* 
 * Read a float; skip the whole line if failed 
 * return 0 upon failure, return 1 if successful
 */
int CNrdfloat(fp,x)
FILE   *fp;
double *x;
{
   int   n;
   int   c;
   float y;

   /*
    * try to read a floating-precision variable 
    * if fail, then skip the whole line 
    */
   while ( (n=fscanf(fp,"%f",&y)) != EOF && n!=1) {
      if (n!=1)
         while ( (c=getc(fp)) != EOF && c != '\n');
      }

   if (n==EOF) {
      fprintf(stderr,"Error: Incorrect Format!\n");
      return(0);
   }
   *x = y;
   return(1);
}


/* 
 * try to open a file for reading - this could be a compressed file 
 * return 0 upon failure, return 1 if successful
 */
int CNopen_file(fname,fp)
char *fname;
FILE **fp;
{
   FILE *fopen();
   char cmd[CN_MAXCHAR];

   /* try to open a file for reading */
   if ((strlen(fname) > 2) && (!strcmp(fname + strlen(fname) - 2,".Z"))) {
      sprintf(cmd,"uncompress -c %s",fname);
      *fp = popen(cmd,"r");
   } else {
      *fp = fopen(fname,"r");
   }

   if (*fp==NULL) {
      fprintf(stderr,"cat : couldn't open file %s\n",fname);
      return(0);
   } else {
      return(1);
   }
}

